(Risolto) PHP 5.4: Non funziona! (Funziona!)

Installazione, configurazione generale, notifiche, API, lingue, problemi server
Post Reply
robyel
Newbie
Posts: 11
Joined: Fri Oct 18, 2013 11:11 pm

(Risolto) PHP 5.4: Non funziona! (Funziona!)

Post by robyel »

Buongiorno,
a seguito dell'impossibilità di caricare file di nessun tipo, tantomeno SCORM, ho cambiato provider.
Il nuovo provider è aggiornatissimo, ha la PHP 5.4, e Forma non si installa, perché vuole la vecchia 5.26 :lol: :lol: :lol:

C'è un modo per aggiornare Forma, o per farle accettare il fatto che tutto si evolve ed il futuro non è poi così male?

Grazie
Roberto

User avatar
alberto
FormaLms Guru
Posts: 1036
Joined: Fri Mar 02, 2012 9:18 am
Contact:

Re: PHP 5.4: Non funziona!

Post by alberto »

Ciao Roberto, è dichiarato nelle istruzioni di installazione che dovresti avere letto, e in svariati post su questo forum: Forma (come docebo) non è ancora pienamente compatibile con php 5.4 ma funziona benissimo con tutte le attuali versioni 5.3.x

Speriamo di poter offrire la piena compatibilità a partire dalla prossima release, nel frattempo puoi chiedere al tuo provider di passarti a php 5.3
--------------------------------------------------
Become a CONTRIBUTOR

Support the project for FREE!
www.Elearnit.net

User avatar
alberto
FormaLms Guru
Posts: 1036
Joined: Fri Mar 02, 2012 9:18 am
Contact:

Re: PHP 5.4: Non funziona!

Post by alberto »

Ciao Robyel, abbiamo lavorato sulla compatibilità php5.4 per la nuova versione che stiamo per rilasciare, se puoi darci una mano con il testing mandami un pvt! :)
--------------------------------------------------
Become a CONTRIBUTOR

Support the project for FREE!
www.Elearnit.net

Antonio Arcucci
Newbie
Posts: 5
Joined: Sun Apr 13, 2014 10:28 pm
Contact:

Re: PHP 5.4: Non funziona!

Post by Antonio Arcucci »

E per la 5.5 di php ?

jasmines
Senior Boarder
Posts: 277
Joined: Fri May 03, 2013 12:29 pm

Re: PHP 5.4: Non funziona!

Post by jasmines »

Vorrei dare una mano con il testing per 5.4 e 5.5, riuscite a postare una lista di criticità da verificare (o già verificate/risolte) per queste versioni?

User avatar
alberto
FormaLms Guru
Posts: 1036
Joined: Fri Mar 02, 2012 9:18 am
Contact:

Re: PHP 5.4: Non funziona!

Post by alberto »

Non abbiamo ancora fatto verifiche specifiche per la 5.5, mentre per la 5.4 abbiamo appena chiuso un problema di compatibilità descritto qui qui (lo stesso errore interessa anche un altro pio di files, già fixati per la prossima release).

Al momento non conosciamo altri problemi, ma come sempre qualunque supporto per approfondire l'analisi e migliorare il codice è più che benvenuto.

@Antonio: benvenuto a bordo! :)
--------------------------------------------------
Become a CONTRIBUTOR

Support the project for FREE!
www.Elearnit.net

Antonio Arcucci
Newbie
Posts: 5
Joined: Sun Apr 13, 2014 10:28 pm
Contact:

Re: PHP 5.4: Non funziona!

Post by Antonio Arcucci »

Ciao, grazie per il benvenuto.

Per installare su php 5.5.8 ho forzato il test di install/controllers/Step2Controller.php, ho applicato la patch che descrivi nel precedente post.

Vi terrò informati.

Se avete bisogno di una mano fatemi sapere.

User avatar
canelli
FormaLms Guru
Posts: 492
Joined: Thu Nov 08, 2012 12:21 pm
Version: forma.lms 2.0
Contact:

Re: PHP 5.4: Non funziona!

Post by canelli »

con FormaLms 1.1 è stata rilasciata la compatibilità a PHP 5.4 , sono state fatte le verifche ed i TEST .
E' possibile che ci siano ancora alcuni problemi di compatibilià, che quando segnalati saranno fixati in tempi rapidi.
Per il momento non c'è nessun piano per testare e rilasciare la compatibilità a PHP 5.5 . Qualora siete interessati e avete modo di provarlo , fatelo e fateci conoscere quli problemi incontrate. Vi consigliamo di utilizzare PHP 5.5 non su sistemi di produzione .
Per prroblemi e segnalazioni su PHP 5.5 aprite un altro thread
Cercate nel forum le riposte prima di chiedere. Check the forum before posting
---------------
Claudio Anelli
Joint Technologies - Sistemi avanzati per l'information technology

http://www.joint-tech.com
---------------

Post Reply